Package org.apache.tapestry5.hibernate.internal

## Class HibernateTransactionDecoratorImpl

- java.lang.Object
- - org.apache.tapestry5.hibernate.internal.HibernateTransactionDecoratorImpl

- All Implemented Interfaces:
    `HibernateTransactionDecorator`

      public class HibernateTransactionDecoratorImpl
      extends java.lang.Object
      implements HibernateTransactionDecorator

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HibernateTransactionDecoratorImpl​(AspectDecorator aspectDecorator, HibernateTransactionAdvisor advisor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `build​(java.lang.Class<T> serviceInterface, T delegate, java.lang.String serviceId)` | Builds a transaction interceptor instance around the delegate.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HibernateTransactionDecoratorImpl

          public HibernateTransactionDecoratorImpl​(AspectDecorator aspectDecorator,
                                                   HibernateTransactionAdvisor advisor)

  - ### Method Detail

    - #### build

          public <T> T build​(java.lang.Class<T> serviceInterface,
                             T delegate,
                             java.lang.String serviceId)

      Description copied from interface: `HibernateTransactionDecorator`
      Builds a transaction interceptor instance around the delegate.
      Specified by:
        `build` in interface `HibernateTransactionDecorator`
      Parameters:
        `serviceInterface` - interface implemented by the delegate
        `delegate` - existing object to be wrapped
        `serviceId` - id of service
      Returns:
        a new object implementing the interface that can be used in place of the delegate, providing transactional behavior